Package org.eclipse.ui.commands

# Class KeyConfigurationEvent

java.lang.Object
org.eclipse.ui.commands.KeyConfigurationEvent

@Deprecated public final class KeyConfigurationEvent extends Object
Deprecated.
Please use the bindings support in the "org.eclipse.jface" plug-in instead. This API is scheduled for deletion, see Bug 431177 for details
An instance of this class describes changes to an instance of `IKeyConfiguration`.

This class is not intended to be extended by clients.

Since:
  3.0
See Also:
  - `IKeyConfigurationListener.keyConfigurationChanged(KeyConfigurationEvent)`
  - `SchemeEvent`
Restriction:
  This class is scheduled for deletion.

## Constructor Summary

Constructors
Constructor
Description
`KeyConfigurationEvent(IKeyConfiguration keyConfiguration, boolean activeChanged, boolean definedChanged, boolean nameChanged, boolean parentIdChanged)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`IKeyConfiguration`
`getKeyConfiguration()`
Deprecated.
`boolean`
`hasActiveChanged()`
Deprecated.
`boolean`
`hasDefinedChanged()`
Deprecated.
`boolean`
`hasNameChanged()`
Deprecated.
`boolean`
`hasParentIdChanged()`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### KeyConfigurationEvent

@Deprecated public KeyConfigurationEvent(IKeyConfiguration keyConfiguration, boolean activeChanged, boolean definedChanged, boolean nameChanged, boolean parentIdChanged)
Deprecated.
Creates a new instance of this class.

Parameters:
  `keyConfiguration` - the instance of the interface that changed.
  `activeChanged` - true, iff the active property changed.
  `definedChanged` - true, iff the defined property changed.
  `nameChanged` - true, iff the name property changed.
  `parentIdChanged` - true, iff the parentId property changed.

## Method Details

### getKeyConfiguration

@Deprecated public IKeyConfiguration getKeyConfiguration()
Deprecated.
Returns the instance of the interface that changed.

Returns:
  the instance of the interface that changed. Guaranteed not to be `null`.

### hasActiveChanged

@Deprecated public boolean hasActiveChanged()
Deprecated.
Returns whether or not the active property changed.

Returns:
  true, iff the active property changed.

### hasDefinedChanged

@Deprecated public boolean hasDefinedChanged()
Deprecated.
Returns whether or not the defined property changed.

Returns:
  true, iff the defined property changed.

### hasNameChanged

@Deprecated public boolean hasNameChanged()
Deprecated.
Returns whether or not the name property changed.

Returns:
  true, iff the name property changed.

### hasParentIdChanged

@Deprecated public boolean hasParentIdChanged()
Deprecated.
Returns whether or not the parentId property changed.

Returns:
  true, iff the parentId property changed.